3.1.3>3.1.2 Let Me Clear Up The Error 28 Issue And Why It Happens

Discussion in 'iPod touch' started by paintball25x, Apr 21, 2010.

  1. paintball25x

    paintball25x New Member

    Joined:
    Apr 10, 2008
    Messages:
    61
    Likes Received:
    0
    Device:
    3G iPod touch
    So I have heard people all over the net reporting the dreaded "Error 28" issue. Well just to clear this up for everybody. If you have just recently bought an iPod touch 3g that came pre-installed with the 3.1.3 firmware on the device than you can NOT downgrade to 3.1.2 to jailbreak. Its because apple is Signing their Firmware for the New Bootrom devices like the 3gs and ipod 3g for 3.1.3 and not signing 3.1.2 anymore. So since your 3G ipod or 3GS iphone comes with 3.1.3 Out of the box you cant downgrade cause your ECID (or aka shsh blobs)is not saved localy or by Saurik - so you cant "Disable" the Apple Server verifying. Error 28 is caused when you have a missing file or your iTunes is trying to send a file to your device and it doesn't accept it or doesn't respond. That being said i hope this sheds some light for everybody's error 28 issues. The 3.1.3 jailbreak will be out soon touch fans. So hold on to yourselves and stay tuned to the forums for updates.

    BTW: Thank MrDodi for the info edit.
  2. darklord307

    darklord307 New Member

    Joined:
    Oct 1, 2009
    Messages:
    16
    Likes Received:
    0
    Device:
    3G iPod touch
    you've just bought your ipod touch, haven't you? if you bought it before March (i'm not very sure), you can downgrade otherwise you cannot. i have the same problem too

    Please Register or Log in to view images

    . we have to wait for the jailbreak tools for 3.1.3 or there is the jailbreak tool for 4.0 ( if you upgrade to 4.0 of course ^^)
  3. MrDodi

    MrDodi Active Member

    Joined:
    Feb 2, 2009
    Messages:
    1,519
    Likes Received:
    0
    Device:
    iPhone 5 (Black)

    Thats not right, it has nothing to do with OTB 3.1.3 StockFW .
    Its just the fact that apple is Signing their Firmware for the New Bootrom devices (3GS / ipT3G 32/64gig ) . So since your 3G ipod or 3GS comes with 3.1.3 OTB you cant downgrade cause your ECID is not saved localy or by Saurik - so you cant "Disable" the Apple Server verifying.

    And btw. your Status says you got a 3G 8gig model. So just use the ipT2G 3.1.2 FW and youre able to downgrade

    Please Register or Log in to view images

  4. darklord307

    darklord307 New Member

    Joined:
    Oct 1, 2009
    Messages:
    16
    Likes Received:
    0
    Device:
    3G iPod touch
    i have an ipod touch 3g 8Gb 3.1.3 and i cannot downgrade

    Please Register or Log in to view images

    , error 28

    Please Register or Log in to view images

    Please Register or Log in to view images

    , and some others people get this problem too. and we all have just bought it within 2 months from now

Share This Page